Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.cls
Class PropertiesClassDefinitionWidgetType

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.cls.PropertiesClassDefinitionWidgetType

All Implemented Interfaces:
  SwitchableType

    public class PropertiesClassDefinitionWidgetType

extends Object
implements SwitchableType

Author:
  Holger Knublauch

Constructor Summary
`PropertiesClassDefinitionWidgetType()`

Method Summary
`String` | `getButtonText()`
`Class` | `getWidgetClassType()`
`boolean` | `isSufficientlyExpressive(RDFSNamedClass namedClass)` Checks if this type would be able to display a given class.
`boolean` | `isSuitable(OWLModel owlModel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesClassDefinitionWidgetType

    public PropertiesClassDefinitionWidgetType()

Method Detail

### getButtonText

    public String getButtonText()

  Specified by:
    `getButtonText` in interface `SwitchableType`

### getWidgetClassType

    public Class getWidgetClassType()

  Specified by:
    `getWidgetClassType` in interface `SwitchableType`

### isSufficientlyExpressive

    public boolean isSufficientlyExpressive(RDFSNamedClass namedClass)

  Description copied from interface: `SwitchableType`
  Checks if this type would be able to display a given class. This may happen if the definition of the class uses constructs that lay outside of the expressivity supported by this type. If not, then the container may decide to switch to another, more generic type.

  Specified by:
    `isSufficientlyExpressive` in interface `SwitchableType`
  Parameters:
    `namedClass` - the named class to test
  Returns:
    true if this type could handle namedClass

### isSuitable

    public boolean isSuitable(OWLModel owlModel)

  Specified by:
    `isSuitable` in interface `SwitchableType`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.